import { objectSpread2 as _objectSpread2 } from '../../../_virtual/_rollupPluginBabelHelpers.mjs';
import 'react';
import { jsx } from 'react/jsx-runtime';

var AccordionDown = function AccordionDown(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M8.715 8.91c-.522 0-.783 0-.92.107a.5.5 0 0 0-.19.387c-.002.173.157.38.476.794l3.375 4.388c.216.28.324.42.455.47a.5.5 0 0 0 .358 0c.131-.05.24-.19.455-.47l3.375-4.388c.319-.414.478-.62.476-.794a.5.5 0 0 0-.19-.387c-.137-.107-.398-.107-.92-.107h-6.75Z",
      fill: "currentColor",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
AccordionDown.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var AccordionRight = function AccordionRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M9 15.375c0 .522 0 .783.107.92a.5.5 0 0 0 .387.19c.173.002.38-.157.794-.476l4.388-3.375c.28-.216.42-.324.47-.455a.5.5 0 0 0 0-.358c-.05-.131-.19-.24-.47-.455L10.288 7.99c-.414-.319-.62-.478-.794-.476a.5.5 0 0 0-.387.19C9 7.843 9 8.104 9 8.626v6.75Z",
      fill: "currentColor",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
AccordionRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowBlockUp = function ArrowBlockUp(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M9.8 21c-.28 0-.42 0-.527-.055a.5.5 0 0 1-.218-.218C9 20.62 9 20.48 9 20.2V10H5l7-7 7 7h-4v10.2c0 .28 0 .42-.055.527a.5.5 0 0 1-.218.218C14.62 21 14.48 21 14.2 21H9.8Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowBlockUp.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowDownLeft = function ArrowDownLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M17 7 7 17m0 0h10M7 17V7",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowDownLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowDownRight = function ArrowDownRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m7 7 10 10m0 0V7m0 10H7",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowDownRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowDown = function ArrowDown(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 5v14m0 0 7-7m-7 7-7-7",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowDown.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowLeft = function ArrowLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M19 12H5m0 0 7 7m-7-7 7-7",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowDownLeft = function ArrowNarrowDownLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M18 6 6 18m0 0h8m-8 0v-8",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowDownLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowDownRight = function ArrowNarrowDownRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m6 6 12 12m0 0v-8m0 8h-8",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowDownRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowDown = function ArrowNarrowDown(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 4v16m0 0 6-6m-6 6-6-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowDown.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowLeft = function ArrowNarrowLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M20 12H4m0 0 6 6m-6-6 6-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowRight = function ArrowNarrowRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M4 12h16m0 0-6-6m6 6-6 6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowUpLeft = function ArrowNarrowUpLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M18 18 6 6m0 0v8m0-8h8",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowUpLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowUpRight = function ArrowNarrowUpRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M6 18 18 6m0 0h-8m8 0v8",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowUpRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowNarrowUp = function ArrowNarrowUp(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 20V4m0 0-6 6m6-6 6 6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowNarrowUp.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowRight = function ArrowRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M5 12h14m0 0-7-7m7 7-7 7",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowUpLeft = function ArrowUpLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M17 17 7 7m0 0v10M7 7h10",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowUpLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowUpRight = function ArrowUpRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M7 17 17 7m0 0H7m10 0v10",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowUpRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ArrowUp = function ArrowUp(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 19V5m0 0-7 7m7-7 7 7",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ArrowUp.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronDownDouble = function ChevronDownDouble(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m7 13 5 5 5-5M7 6l5 5 5-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronDownDouble.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronDown = function ChevronDown(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m6 9 6 6 6-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronDown.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronLeftDouble = function ChevronLeftDouble(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m18 17-5-5 5-5m-7 10-5-5 5-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronLeftDouble.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronLeft = function ChevronLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m15 18-6-6 6-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronRightDouble = function ChevronRightDouble(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m6 17 5-5-5-5m7 10 5-5-5-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronRightDouble.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronRight = function ChevronRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m9 18 6-6-6-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronSelectorHorizontal = function ChevronSelectorHorizontal(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m9 7-5 5 5 5m6-10 5 5-5 5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronSelectorHorizontal.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronSelectorVertical = function ChevronSelectorVertical(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m7 15 5 5 5-5M7 9l5-5 5 5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronSelectorVertical.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronUpDouble = function ChevronUpDouble(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m17 18-5-5-5 5m10-7-5-5-5 5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronUpDouble.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ChevronUp = function ChevronUp(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m18 15-6-6-6 6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ChevronUp.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerDownLeft = function CornerDownLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M20 4v1.4c0 3.36 0 5.04-.654 6.324a6 6 0 0 1-2.622 2.622C15.44 15 13.76 15 10.4 15H4m0 0 5-5m-5 5 5 5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerDownLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerDownRight = function CornerDownRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M4 4v1.4c0 3.36 0 5.04.654 6.324a6 6 0 0 0 2.622 2.622C8.56 15 10.24 15 13.6 15H20m0 0-5-5m5 5-5 5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerDownRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerLeftDown = function CornerLeftDown(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M21 4h-3.4c-3.36 0-5.04 0-6.324.654a6 6 0 0 0-2.622 2.622C8 8.56 8 10.24 8 13.6V20m0 0 5-5m-5 5-5-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerLeftDown.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerLeftUp = function CornerLeftUp(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M21 20h-3.4c-3.36 0-5.04 0-6.324-.654a6 6 0 0 1-2.622-2.622C8 15.44 8 13.76 8 10.4V4m0 0 5 5M8 4 3 9",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerLeftUp.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerRightDown = function CornerRightDown(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M3 4h3.4c3.36 0 5.04 0 6.324.654a6 6 0 0 1 2.622 2.622C16 8.56 16 10.24 16 13.6V20m0 0-5-5m5 5 5-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerRightDown.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerRightUp = function CornerRightUp(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M3 20h3.4c3.36 0 5.04 0 6.324-.654a6 6 0 0 0 2.622-2.622C16 15.44 16 13.76 16 10.4V4m0 0-5 5m5-5 5 5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerRightUp.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerUpLeft = function CornerUpLeft(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M9 14 4 9m0 0 5-5M4 9h6.4c3.36 0 5.04 0 6.324.654a6 6 0 0 1 2.622 2.622C20 13.56 20 15.24 20 18.6V20",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerUpLeft.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CornerUpRight = function CornerUpRight(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M4 20v-1.4c0-3.36 0-5.04.654-6.324a6 6 0 0 1 2.622-2.622C8.56 9 10.24 9 13.6 9H20m0 0-5 5m5-5-5-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CornerUpRight.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Expand01 = function Expand01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m14 10 7-7m0 0h-6m6 0v6m-11 5-7 7m0 0h6m-6 0v-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Expand01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Expand02 = function Expand02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M3 21 21 3M3 21h6m-6 0v-6M21 3h-6m6 0v6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Expand02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Expand03 = function Expand03(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m15 9 6-6m0 0h-6m6 0v6M9 9 3 3m0 0v6m0-6h6m0 12-6 6m0 0h6m-6 0v-6m12 0 6 6m0 0v-6m0 6h-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Expand03.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Expand04 = function Expand04(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m16 8 5-5m0 0h-5m5 0v5M8 8 3 3m0 0v5m0-5h5m0 13-5 5m0 0h5m-5 0v-5m13 0 5 5m0 0v-5m0 5h-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Expand04.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var FlipBackward = function FlipBackward(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M4 7h10a6 6 0 0 1 0 12H4M4 7l4-4M4 7l4 4",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
FlipBackward.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var FlipForward = function FlipForward(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M20 7H10a6 6 0 1 0 0 12h10m0-12-4-4m4 4-4 4",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
FlipForward.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var _Infinity = function _Infinity(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M18.178 8c5.096 0 5.096 8 0 8-5.095 0-7.133-8-12.74-8-4.584 0-4.584 8 0 8 5.607 0 7.645-8 12.74-8h0Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
_Infinity.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCCW01 = function RefreshCCW01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M2 10s2.005-2.732 3.634-4.362A9 9 0 1 1 12 21a9.004 9.004 0 0 1-8.648-6.5M2 10V4m0 6h6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCCW01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCCW02 = function RefreshCCW02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M2 10s.121-.85 3.636-4.364A9 9 0 0 1 20.776 10M2 10V4m0 6h6m14 4s-.121.85-3.636 4.364A9 9 0 0 1 3.224 14M22 14v6m0-6h-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCCW02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCCW03 = function RefreshCCW03(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M14 2s.85.121 4.364 3.636A9 9 0 0 1 14 20.776M14 2h6m-6 0v6m-4 14s-.85-.122-4.364-3.636A9 9 0 0 1 10 3.224M10 22H4m6 0v-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCCW03.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCCW04 = function RefreshCCW04(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M17 18.875A8.5 8.5 0 0 0 12 3.5h-.5m.5 17A8.5 8.5 0 0 1 7 5.125M11 22.4l2-2-2-2m2-12.8-2-2 2-2",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCCW04.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCCW05 = function RefreshCCW05(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M8.547 19.767A8.5 8.5 0 0 0 19.362 7.75l-.25-.433M4.638 16.25A8.5 8.5 0 0 1 15.453 4.233m-12.96 12.1 2.732.733.733-2.732m12.085-4.668.732-2.732 2.732.732",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCCW05.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCW01 = function RefreshCW01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M21 10s-2.005-2.732-3.634-4.362a9 9 0 1 0 2.282 8.862M21 10V4m0 6h-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCW01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCW02 = function RefreshCW02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M2 14s.121.85 3.636 4.364A9 9 0 0 0 20.776 14M2 14v6m0-6h6m14-4s-.121-.85-3.636-4.364A9 9 0 0 0 3.224 10M22 10V4m0 6h-6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCW02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCW03 = function RefreshCW03(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M14 22s.85-.121 4.364-3.636A9 9 0 0 0 14 3.224M14 22h6m-6 0v-6M10 2s-.85.122-4.364 3.636A9 9 0 0 0 10 20.776M10 2H4m6 0v6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCW03.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCW04 = function RefreshCW04(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M17 5.125A8.5 8.5 0 0 1 12 20.5h-.5M7 18.875A8.5 8.5 0 0 1 12 3.5h.5m.5 18.9-2-2 2-2M11 5.6l2-2-2-2",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCW04.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var RefreshCW05 = function RefreshCW05(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M20.453 12.893A8.5 8.5 0 0 1 4.638 16.25l-.25-.433m-.842-4.71A8.5 8.5 0 0 1 19.361 7.75l.25.433M3.493 18.066l.732-2.732 2.732.732m10.085-8.132 2.732.732.732-2.732",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
RefreshCW05.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ResizeHeight01 = function ResizeHeight01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 22V2m0 20 4-4m-4 4-4-4m4-16 4 4m-4-4L8 6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ResizeHeight01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ResizeHeight02 = function ResizeHeight02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 20V4m0 16-3-3m3 3 3-3M12 4 9 7m3-3 3 3",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ResizeHeight02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ResizeWidth01 = function ResizeWidth01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M2 12h20M2 12l4-4m-4 4 4 4m16-4-4-4m4 4-4 4",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ResizeWidth01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ResizeWidth02 = function ResizeWidth02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M20 12H4m16 0-3 3m3-3-3-3M4 12l3 3m-3-3 3-3",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ResizeWidth02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var SwitchHorizontal = function SwitchHorizontal(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M20 17H4m0 0 4-4m-4 4 4 4M4 7h16m0 0-4-4m4 4-4 4",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
SwitchHorizontal.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var SwitchVertical = function SwitchVertical(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M17 4v16m0 0-4-4m4 4 4-4M7 20V4m0 0L3 8m4-4 4 4",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
SwitchVertical.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};

export { AccordionDown, AccordionRight, ArrowBlockUp, ArrowDown, ArrowDownLeft, ArrowDownRight, ArrowLeft, ArrowNarrowDown, ArrowNarrowDownLeft, ArrowNarrowDownRight, ArrowNarrowLeft, ArrowNarrowRight, ArrowNarrowUp, ArrowNarrowUpLeft, ArrowNarrowUpRight, ArrowRight, ArrowUp, ArrowUpLeft, ArrowUpRight, ChevronDown, ChevronDownDouble, ChevronLeft, ChevronLeftDouble, ChevronRight, ChevronRightDouble, ChevronSelectorHorizontal, ChevronSelectorVertical, ChevronUp, ChevronUpDouble, CornerDownLeft, CornerDownRight, CornerLeftDown, CornerLeftUp, CornerRightDown, CornerRightUp, CornerUpLeft, CornerUpRight, Expand01, Expand02, Expand03, Expand04, FlipBackward, FlipForward, RefreshCCW01, RefreshCCW02, RefreshCCW03, RefreshCCW04, RefreshCCW05, RefreshCW01, RefreshCW02, RefreshCW03, RefreshCW04, RefreshCW05, ResizeHeight01, ResizeHeight02, ResizeWidth01, ResizeWidth02, SwitchHorizontal, SwitchVertical, _Infinity };
