import { objectSpread2 as _objectSpread2 } from '../../../_virtual/_rollupPluginBabelHelpers.mjs';
import 'react';
import { jsx, jsxs } from 'react/jsx-runtime';

var Attachment01 = function Attachment01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m21.152 10.9-9.015 9.015a5.25 5.25 0 0 1-7.425-7.425l9.016-9.015a3.5 3.5 0 1 1 4.95 4.95l-8.662 8.662a1.75 1.75 0 1 1-2.475-2.475l7.601-7.602",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Attachment01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Attachment02 = function Attachment02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M17.5 5.256V16.5a5.5 5.5 0 1 1-11 0V5.667a3.667 3.667 0 0 1 7.333 0v10.779a1.833 1.833 0 1 1-3.666 0V6.65",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Attachment02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Brush = function Brush(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M9 11.222 12.778 15m-4.803 5.975C6.608 22.342 4 22 2 22c1.025-2-.342-4.608 1.025-5.975a3.5 3.5 0 0 1 4.95 4.95Zm3.947-5.05 9.137-9.868a2.204 2.204 0 0 0-3.116-3.116L8.075 12.08c-.51.472-.765.708-.913.96a2 2 0 0 0-.038 1.967c.139.257.385.503.876.994.491.492.737.737.994.876a2 2 0 0 0 1.968-.038c.251-.148.487-.403.96-.913Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Brush.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var CodeSnippet = function CodeSnippet(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m17 17 5-5-5-5M7 7l-5 5 5 5m7-14-4 18",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
CodeSnippet.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Command = function Command(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M9 9V6a3 3 0 1 0-3 3h3Zm0 0v6m0-6h6m-6 6v3a3 3 0 1 1-3-3h3Zm0 0h6m0 0h3a3 3 0 1 1-3 3v-3Zm0 0V9m0 0V6a3 3 0 1 1 3 3h-3Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Command.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Crop01 = function Crop01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M2 6h12.8c1.12 0 1.68 0 2.108.218a2 2 0 0 1 .874.874C18 7.52 18 8.08 18 9.2V22m4-4H9.2c-1.12 0-1.68 0-2.108-.218a2 2 0 0 1-.874-.874C6 16.48 6 15.92 6 14.8V2",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Crop01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Crop02 = function Crop02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M10 6h4.8c1.12 0 1.68 0 2.108.218a2 2 0 0 1 .874.874C18 7.52 18 8.08 18 9.2V14M2 6h4m12 12v4m4-4H9.2c-1.12 0-1.68 0-2.108-.218a2 2 0 0 1-.874-.874C6 16.48 6 15.92 6 14.8V2",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Crop02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var DistributeSpacing = function DistributeSpacing(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M10.2 3h3.6m7.2 7.2v3.6M17.4 21c.837 0 1.256 0 1.599-.092a2.7 2.7 0 0 0 1.909-1.91C21 18.656 21 18.238 21 17.4m0-10.8c0-.837 0-1.255-.092-1.599a2.7 2.7 0 0 0-1.91-1.909C18.656 3 18.238 3 17.4 3M6.6 3c-.837 0-1.255 0-1.599.092a2.7 2.7 0 0 0-1.909 1.91C3 5.344 3 5.762 3 6.6m0 3.6v3.6M6.6 21c-.837 0-1.255 0-1.599-.092a2.7 2.7 0 0 1-1.909-1.91C3 18.656 3 18.238 3 17.4m7.2 3.6h3.6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
DistributeSpacing.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Figma = function Figma(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M12 1.5H8.5a3.5 3.5 0 1 0 0 7m3.5-7v7m0-7h3.5a3.5 3.5 0 1 1 0 7m-3.5 0H8.5m3.5 0v7m0-7h3.5m-7 0a3.5 3.5 0 1 0 0 7m3.5 0H8.5m3.5 0V19a3.5 3.5 0 1 1-3.5-3.5m7-7a3.5 3.5 0 1 1 0 7 3.5 3.5 0 0 1 0-7Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Figma.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var MagicWand = function MagicWand(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m13 14-3-3m5.01-7.5V2m3.94 3.06L20.01 4m-1.06 9 1.06 1.06m-9-9L9.95 4m10.56 5h1.5M6.131 20.869l9.238-9.238c.396-.396.594-.594.668-.822a1 1 0 0 0 0-.618c-.074-.228-.272-.426-.668-.822l-.738-.738c-.396-.396-.594-.594-.822-.668a1 1 0 0 0-.618 0c-.228.074-.426.272-.822.668L3.13 17.87c-.396.396-.594.594-.668.822a1 1 0 0 0 0 .618c.074.228.272.426.668.822l.738.738c.396.396.594.594.822.668a1 1 0 0 0 .618 0c.228-.074.426-.272.822-.668Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
MagicWand.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var OriginalAction = function OriginalAction(props) {
  return /*#__PURE__*/jsxs("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: [/*#__PURE__*/jsx("path", {
      d: "M7 8.6c0-.56 0-.84.109-1.054a1 1 0 0 1 .437-.437C7.76 7 8.04 7 8.6 7h6.8c.56 0 .84 0 1.054.109a1 1 0 0 1 .437.437C17 7.76 17 8.04 17 8.6v6.8c0 .56 0 .84-.109 1.054a1 1 0 0 1-.437.437C16.24 17 15.96 17 15.4 17H8.6c-.56 0-.84 0-1.054-.109a1 1 0 0 1-.437-.437C7 16.24 7 15.96 7 15.4V8.6Z",
      fill: "currentColor"
    }), /*#__PURE__*/jsx("path", {
      d: "M8 3h-.2c-1.68 0-2.52 0-3.162.327a3 3 0 0 0-1.311 1.311C3 5.28 3 6.12 3 7.8V8m5 13h-.2c-1.68 0-2.52 0-3.162-.327a3 3 0 0 1-1.311-1.311C3 18.72 3 17.88 3 16.2V16m18-8v-.2c0-1.68 0-2.52-.327-3.162a3 3 0 0 0-1.311-1.311C18.72 3 17.88 3 16.2 3H16m5 13v.2c0 1.68 0 2.52-.327 3.162a3 3 0 0 1-1.311 1.311C18.72 21 17.88 21 16.2 21H16m-7.4-4h6.8c.56 0 .84 0 1.054-.109a1 1 0 0 0 .437-.437C17 16.24 17 15.96 17 15.4V8.6c0-.56 0-.84-.109-1.054a1 1 0 0 0-.437-.437C16.24 7 15.96 7 15.4 7H8.6c-.56 0-.84 0-1.054.109a1 1 0 0 0-.437.437C7 7.76 7 8.04 7 8.6v6.8c0 .56 0 .84.109 1.054a1 1 0 0 0 .437.437C7.76 17 8.04 17 8.6 17Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })]
  }));
};
OriginalAction.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Original = function Original(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M8 3h-.2c-1.68 0-2.52 0-3.162.327a3 3 0 0 0-1.311 1.311C3 5.28 3 6.12 3 7.8V8m5 13h-.2c-1.68 0-2.52 0-3.162-.327a3 3 0 0 1-1.311-1.311C3 18.72 3 17.88 3 16.2V16m18-8v-.2c0-1.68 0-2.52-.327-3.162a3 3 0 0 0-1.311-1.311C18.72 3 17.88 3 16.2 3H16m5 13v.2c0 1.68 0 2.52-.327 3.162a3 3 0 0 1-1.311 1.311C18.72 21 17.88 21 16.2 21H16m-7.667-4h7.334c.466 0 .7 0 .878-.09a.833.833 0 0 0 .364-.365c.091-.178.091-.412.091-.878V8.333c0-.466 0-.7-.09-.878a.833.833 0 0 0-.365-.364C16.367 7 16.133 7 15.667 7H8.333c-.466 0-.7 0-.878.09a.833.833 0 0 0-.364.365C7 7.633 7 7.867 7 8.333v7.334c0 .466 0 .7.09.878.08.157.208.284.365.364.178.091.412.091.878.091Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Original.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Palette = function Palette(props) {
  return /*#__PURE__*/jsxs("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: [/*#__PURE__*/jsx("path", {
      d: "M7 13a1 1 0 1 0 0-2 1 1 0 0 0 0 2ZM16 9a1 1 0 1 0 0-2 1 1 0 0 0 0 2ZM10 8a1 1 0 1 0 0-2 1 1 0 0 0 0 2Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    }), /*#__PURE__*/jsx("path", {
      d: "M2 12c0 5.523 4.477 10 10 10a3 3 0 0 0 3-3v-.5c0-.464 0-.697.026-.892a3 3 0 0 1 2.582-2.582c.195-.026.428-.026.892-.026h.5a3 3 0 0 0 3-3c0-5.523-4.477-10-10-10S2 6.477 2 12Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    }), /*#__PURE__*/jsx("path", {
      d: "M16 8.6a.6.6 0 1 0 0-1.2.6.6 0 0 0 0 1.2ZM7 12.6a.6.6 0 1 0 0-1.2.6.6 0 0 0 0 1.2ZM10 7.6a.6.6 0 1 0 0-1.2.6.6 0 0 0 0 1.2Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })]
  }));
};
Palette.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Scale01 = function Scale01(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M14 22H6.8m0 0c-1.68 0-2.52 0-3.162-.327a3 3 0 0 1-1.311-1.311C2 19.72 2 18.88 2 17.2M6.8 22h.4c1.68 0 2.52 0 3.162-.327a3 3 0 0 0 1.311-1.311C12 19.72 12 18.88 12 17.2v-.4c0-1.68 0-2.52-.327-3.162a3 3 0 0 0-1.311-1.311C9.72 12 8.88 12 7.2 12h-.4c-1.68 0-2.52 0-3.162.327a3 3 0 0 0-1.311 1.311C2 14.28 2 15.12 2 16.8v.4m0 0V10m8-8h4m8 8v4m-4 8c.93 0 1.395 0 1.776-.102a3 3 0 0 0 2.122-2.122C22 19.395 22 18.93 22 18m0-12c0-.93 0-1.395-.102-1.776a3 3 0 0 0-2.122-2.122C19.395 2 18.93 2 18 2M6 2c-.93 0-1.395 0-1.776.102a3 3 0 0 0-2.122 2.122C2 4.605 2 5.07 2 6",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Scale01.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Scale02 = function Scale02(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M16 21h.2c1.68 0 2.52 0 3.162-.327a3 3 0 0 0 1.311-1.311C21 18.72 21 17.88 21 16.2V7.8c0-1.68 0-2.52-.327-3.162a3 3 0 0 0-1.311-1.311C18.72 3 17.88 3 16.2 3H7.8c-1.68 0-2.52 0-3.162.327a3 3 0 0 0-1.311 1.311C3 5.28 3 6.12 3 7.8V8m8.5 4.5L17 7m0 0h-5m5 0v5M6.2 21h2.6c1.12 0 1.68 0 2.108-.218a2 2 0 0 0 .874-.874C12 19.48 12 18.92 12 17.8v-2.6c0-1.12 0-1.68-.218-2.108a2 2 0 0 0-.874-.874C10.48 12 9.92 12 8.8 12H6.2c-1.12 0-1.68 0-2.108.218a2 2 0 0 0-.874.874C3 13.52 3 14.08 3 15.2v2.6c0 1.12 0 1.68.218 2.108a2 2 0 0 0 .874.874C4.52 21 5.08 21 6.2 21Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Scale02.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Scale03 = function Scale03(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M16.2 3H7.8c-1.68 0-2.52 0-3.162.327a3 3 0 0 0-1.311 1.311C3 5.28 3 6.12 3 7.8v8.4c0 1.68 0 2.52.327 3.162a3 3 0 0 0 1.311 1.311C5.28 21 6.12 21 7.8 21h8.4c1.68 0 2.52 0 3.162-.327a3 3 0 0 0 1.311-1.311C21 18.72 21 17.88 21 16.2V7.8M16.2 3c1.68 0 2.52 0 3.162.327a3 3 0 0 1 1.311 1.311C21 5.28 21 6.12 21 7.8M16.2 3h-1c-1.12 0-1.68 0-2.108.218a2 2 0 0 0-.874.874C12 4.52 12 5.08 12 6.2v2.6c0 1.12 0 1.68.218 2.108a2 2 0 0 0 .874.874C13.52 12 14.08 12 15.2 12h2.6c1.12 0 1.68 0 2.108-.218a2 2 0 0 0 .874-.874C21 10.48 21 9.92 21 8.8v-1m-8.5 3.7L7 17m0 0h5m-5 0v-5",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Scale03.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var Type = function Type(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "M4 7c0-.932 0-1.398.152-1.765a2 2 0 0 1 1.083-1.083C5.602 4 6.068 4 7 4h10c.932 0 1.398 0 1.765.152a2 2 0 0 1 1.083 1.083C20 5.602 20 6.068 20 7M9 20h6M12 4v16",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
Type.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ZoomIn = function ZoomIn(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m21 21-4.35-4.35M11 8v6m-3-3h6m5 0a8 8 0 1 1-16 0 8 8 0 0 1 16 0Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ZoomIn.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};
var ZoomOut = function ZoomOut(props) {
  return /*#__PURE__*/jsx("svg", _objectSpread2(_objectSpread2({}, props), {}, {
    children: /*#__PURE__*/jsx("path", {
      d: "m21 21-4.35-4.35M8 11h6m5 0a8 8 0 1 1-16 0 8 8 0 0 1 16 0Z",
      stroke: "currentColor",
      strokeWidth: "1.2",
      strokeLinecap: "round",
      strokeLinejoin: "round"
    })
  }));
};
ZoomOut.defaultProps = {
  viewBox: "0 0 24 24",
  fill: "none",
  xmlns: "http://www.w3.org/2000/svg"
};

export { Attachment01, Attachment02, Brush, CodeSnippet, Command, Crop01, Crop02, DistributeSpacing, Figma, MagicWand, Original, OriginalAction, Palette, Scale01, Scale02, Scale03, Type, ZoomIn, ZoomOut };
