import { objectWithoutProperties as _objectWithoutProperties, objectSpread2 as _objectSpread2, extends as _extends, objectDestructuringEmpty as _objectDestructuringEmpty } from '../_virtual/_rollupPluginBabelHelpers.mjs';
import { Semantic } from './Semantic.token.mjs';
import { FONT_FAMILY } from './font-family.token.mjs';
import { jsx } from 'react/jsx-runtime';

var _excluded = ["children", "semanticToken", "style", "as"];
var Typography = function Typography(_ref) {
  var children = _ref.children,
    _ref$semanticToken = _ref.semanticToken,
    semanticToken = _ref$semanticToken === void 0 ? "p14" : _ref$semanticToken,
    style = _ref.style,
    _ref$as = _ref.as,
    as = _ref$as === void 0 ? "p" : _ref$as,
    restProps = _objectWithoutProperties(_ref, _excluded);
  var Element = as;
  return /*#__PURE__*/jsx(Element, _objectSpread2(_objectSpread2({
    style: _objectSpread2(_objectSpread2({
      fontFamily: FONT_FAMILY
    }, Semantic[semanticToken]), style)
  }, restProps), {}, {
    children: children
  }));
};
Typography.h1 = function (_ref2) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref2), _ref2));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h1"
  }, restProps));
};
Typography.h1bold = function (_ref3) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref3), _ref3));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h1-bold"
  }, restProps));
};
Typography.h2bold = function (_ref4) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref4), _ref4));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h2-bold"
  }, restProps));
};
Typography.h3bold = function (_ref5) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref5), _ref5));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h3-bold"
  }, restProps));
};
Typography.h4bold = function (_ref6) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref6), _ref6));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h4-bold"
  }, restProps));
};
Typography.h5 = function (_ref7) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref7), _ref7));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h5"
  }, restProps));
};
Typography.h5bold = function (_ref8) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref8), _ref8));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h5-bold"
  }, restProps));
};
Typography.h6 = function (_ref9) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref9), _ref9));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h6"
  }, restProps));
};
Typography.h6bold = function (_ref10) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref10), _ref10));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "h6-bold"
  }, restProps));
};
Typography.p16 = function (_ref11) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref11), _ref11));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "p16"
  }, restProps));
};
Typography.p16bold = function (_ref12) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref12), _ref12));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "p16-bold"
  }, restProps));
};
Typography.p14 = function (_ref13) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref13), _ref13));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "p14"
  }, restProps));
};
Typography.p14bold = function (_ref14) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref14), _ref14));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "p14-bold"
  }, restProps));
};
Typography.p12 = function (_ref15) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref15), _ref15));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "p12"
  }, restProps));
};
Typography.p12bold = function (_ref16) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref16), _ref16));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "p12-bold"
  }, restProps));
};
Typography.l14 = function (_ref17) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref17), _ref17));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "l14"
  }, restProps));
};
Typography.l11 = function (_ref18) {
  var restProps = _extends({}, (_objectDestructuringEmpty(_ref18), _ref18));
  return /*#__PURE__*/jsx(Typography, _objectSpread2({
    semanticToken: "l11"
  }, restProps));
};

export { Typography };
